
QGIS Application - Bug report #5647

Segmentation Fault when saving the project from close window button

2012-05-27 07:56 AM - Salvatore Larosa

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 15208

Description

When I click on close window button a dialog window asking me if I want to save the project, if I click on save and then cancel button,

QGIS crashes!

History

#1 - 2012-05-30 03:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi Salvatore, I can quite understand well the sequence to try replicate the issue. Can you confirm it with the lastest builds? it is a regression since 1.7.4?

#2 - 2012-05-30 01:23 PM - Salvatore Larosa

I confirm, it is a regression since 1.7.4!

Also the last build is affected!

#3 - 2012-05-30 01:29 PM - Giovanni Manghi

- Priority changed from High to Severe/Regression

Since it is a regression is then a blocker. Anyway I still don't understand clearly the steps to replicate the issue.

#4 - 2012-05-30 01:33 PM - Jürgen Fischer

Salvatore Larosa wrote:

I confirm, it is a regression since 1.7.4!

Also the last build is affected!

I suppose you mean that the window should stay open, when you "cancel" the save.  What happens is that the project isn't saved, but the application is still

closed - but there's no crash.

At least not here. Did you try without any plugins?
#5 - 2012-05-30 02:19 PM - Salvatore Larosa

- Status changed from Feedback to Closed

Now in cbd88ee I haven't segfault!

but I remember that also Macho, on IRC, confirmed this issue!

#6 - 2012-06-05 04:03 AM - Jürgen Fischer

- Resolution set to worksforme
